# Tagging your page types

The page-type tagging enables Nosto to trigger actions, such as showing popups, depending upon a page type. Tagging the page types is optional but without the page-type tagging, you will not be able to avail the use of page type based triggers.

Here is a list of all the valid page types:

* The home page of your store should be tagged as `front`.
* All category pages should be tagged as `category`.
* All product pages should be tagged as `product`.
* The shopping cart page should be tagged as `cart` .
* The checkout page, where order information is filled, should be tagged as `checkout`.
* The order confirmation page should be tagged as `order`.
* The search results page should be tagged as `search`.
* All no-found pages should be tagged as `notfound`.
* Other pages should be tagged as `other`.

```js
nostojs(api => {
  api.setTaggingProvider("pageType", "product")
})
```

{% hint style="info" %}
To learn more about the `api.setTaggingProvider` usage, please refer to the [official API documentation](https://nosto.github.io/nosto-js/interfaces/client.API.html#settaggingprovider).
{% endhint %}

or via DOM tagging

```html
 <div class="nosto_page_type" style="display:none" translate="no">product</div>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/implementing-nosto/implement-on-your-website/manual-implementation/tag-your-page-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
